Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/14/2019 in all areas

  1. Yes ! (defun c:Text-x-add ( / ss tex tstr tnew num begin newtxt ans) (setq ss (ssget (list (cons 0 "*text")))) (if (not AH:getvalsm)(load "Multi Getvals.lsp")) (setq ans (AH:getvalsm (list "Enter values" "Enter additional text" 20 18 "-" "Enter start position" 5 4 "2"))) (setq tnew (nth 0 ans)) (setq num (atoi (nth 1 ans))) (repeat (setq x (sslength ss)) (setq tex (vlax-ename->vla-object (ssname ss (setq x (- x 1))))) (setq tstr (vla-get-textstring tex)) (setq begin (substr tstr 1 num)) (setq tend (substr tstr (+ 1 num))) (setq newtxt (strcat begin tnew tend)) (vla-put-textstring tex newtxt) ) ) (c:text-x-add) Make sure you save the multi getvals also Multi GETVALS.lsp
    1 point
  2. You'll have to use Yes/No parameters and associate them with the Visibility parameter for each Label, then use Types to distinguish between each one. -TZ
    1 point
×
×
  • Create New...